diff --git a/doc/builtins.ps b/doc/builtins.ps
index d07ab01e..753ed80f 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -637,328 +645,327 @@ BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 87.61
 (TINS\(1\) General)-.92 F(Commands Manual)2.5 E -.35(BA)90.11 G(SH_B).35
-E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Bold@0 SF(bashdefault)184 84 Q
-F0 .281(Perform the rest of the def)224 96 R(ault)-.1 E F1(bash)2.781 E
-F0 .281(completions if the compspec generates no)2.781 F(matches.)224
-108 Q F1(default)184 120 Q F0 2.875(Use readline')224 120 R 5.375(sd)
--.55 G(ef)-5.375 E 2.876
+E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Bold@0 SF<ad6f>144 84 Q/F2 10
+/Times-Italic@0 SF(comp-option)2.5 E F0(The)184 96 Q F2(comp-option)
+2.791 E F0 .291(controls se)2.791 F -.15(ve)-.25 G .291
+(ral aspects of the compspec').15 F 2.791(sb)-.55 G(eha)-2.791 E .291
+(vior be)-.2 F .291(yond the simple)-.15 F(generation of completions.)
+184 108 Q F2(comp-option)5 E F0(may be one of:)2.5 E F1(bashdefault)184
+120 Q F0 .281(Perform the rest of the def)224 132 R(ault)-.1 E F1(bash)
+2.781 E F0 .281(completions if the compspec generates no)2.781 F
+(matches.)224 144 Q F1(default)184 156 Q F0 2.876(Use readline')224 156
+R 5.376(sd)-.55 G(ef)-5.376 E 2.875
 (ault \214lename completion if the compspec generates no)-.1 F(matches.)
-224 132 Q F1(dir)184 144 Q(names)-.15 E F0(Perform directory name compl\
-etion if the compspec generates no matches.)224 156 Q F1(\214lenames)184
-168 Q F0 -.7(Te)224 180 S .137(ll readline that the compspec generates \
-\214lenames, so it can perform an).7 F 2.636<798c>-.15 G(le-)-2.636 E
-.134(name\255speci\214c processing \(lik)224 192 R 2.634(ea)-.1 G .134
+224 168 Q F1(dir)184 180 Q(names)-.15 E F0(Perform directory name compl\
+etion if the compspec generates no matches.)224 192 Q F1(\214lenames)184
+204 Q F0 -.7(Te)224 216 S .137(ll readline that the compspec generates \
+\214lenames, so it can perform an).7 F 2.637<798c>-.15 G(le-)-2.637 E
+.134(name\255speci\214c processing \(lik)224 228 R 2.634(ea)-.1 G .134
 (dding a slash to directory names, quoting spe-)-2.634 F .45
-(cial characters, or suppressing trailing spaces\).)224 204 R .45
-(Intended to be used with shell)5.45 F(functions.)224 216 Q F1(noquote)
-184 228 Q F0 -.7(Te)224 228 S .814
+(cial characters, or suppressing trailing spaces\).)224 240 R .45
+(Intended to be used with shell)5.45 F(functions.)224 252 Q F1(noquote)
+184 264 Q F0 -.7(Te)224 264 S .814
 (ll readline not to quote the completed w).7 F .814(ords if the)-.1 F
-3.314(ya)-.15 G .815(re \214lenames \(quoting)-3.314 F
-(\214lenames is the def)224 240 Q(ault\).)-.1 E F1(nosort)184 252 Q F0
--.7(Te)224 252 S(ll readline not to sort the list of possible completio\
-ns alphabetically).7 E(.)-.65 E F1(nospace)184 264 Q F0 -.7(Te)224 264 S
+3.314(ya)-.15 G .814(re \214lenames \(quoting)-3.314 F
+(\214lenames is the def)224 276 Q(ault\).)-.1 E F1(nosort)184 288 Q F0
+-.7(Te)224 288 S(ll readline not to sort the list of possible completio\
+ns alphabetically).7 E(.)-.65 E F1(nospace)184 300 Q F0 -.7(Te)224 300 S
 .22(ll readline not to append a space \(the def).7 F .22(ault\) to w)-.1
-F .22(ords completed at the end)-.1 F(of the line.)224 276 Q F1
-(plusdirs)184 288 Q F0 1.985(After an)224 288 R 4.485(ym)-.15 G 1.985
+F .22(ords completed at the end)-.1 F(of the line.)224 312 Q F1
+(plusdirs)184 324 Q F0 1.985(After an)224 324 R 4.485(ym)-.15 G 1.985
 (atches de\214ned by the compspec are generated, directory name)-4.485 F
-.584(completion is attempted and an)224 300 R 3.084(ym)-.15 G .584
-(atches are added to the results of the other)-3.084 F(actions.)224 312
-Q F1<ad41>144 324 Q/F2 10/Times-Italic@0 SF(action)2.5 E F0(The)184 336
-Q F2(action)2.5 E F0(may be one of the follo)2.5 E
+.583(completion is attempted and an)224 336 R 3.084(ym)-.15 G .584
+(atches are added to the results of the other)-3.084 F(actions.)224 348
+Q F1<ad41>144 360 Q F2(action)2.5 E F0(The)184 372 Q F2(action)2.5 E F0
+(may be one of the follo)2.5 E
 (wing to generate a list of possible completions:)-.25 E F1(alias)184
-348 Q F0(Alias names.)224 348 Q(May also be speci\214ed as)5 E F1<ad61>
-2.5 E F0(.)A F1(arrayv)184 360 Q(ar)-.1 E F0(Array v)224 372 Q
-(ariable names.)-.25 E F1(binding)184 384 Q(Readline)224 384 Q F0 -.1
-(ke)2.5 G 2.5(yb)-.05 G(inding names.)-2.5 E F1 -.2(bu)184 396 S(iltin)
-.2 E F0(Names of shell b)224 396 Q(uiltin commands.)-.2 E
-(May also be speci\214ed as)5 E F1<ad62>2.5 E F0(.)A F1(command)184 408
-Q F0(Command names.)224 420 Q(May also be speci\214ed as)5 E F1<ad63>2.5
-E F0(.)A F1(dir)184 432 Q(ectory)-.18 E F0(Directory names.)224 444 Q
-(May also be speci\214ed as)5 E F1<ad64>2.5 E F0(.)A F1(disabled)184 456
-Q F0(Names of disabled shell b)224 468 Q(uiltins.)-.2 E F1(enabled)184
-480 Q F0(Names of enabled shell b)224 480 Q(uiltins.)-.2 E F1(export)184
-492 Q F0(Names of e)224 492 Q(xported shell v)-.15 E 2.5(ariables. May)
+384 Q F0(Alias names.)224 384 Q(May also be speci\214ed as)5 E F1<ad61>
+2.5 E F0(.)A F1(arrayv)184 396 Q(ar)-.1 E F0(Array v)224 408 Q
+(ariable names.)-.25 E F1(binding)184 420 Q(Readline)224 420 Q F0 -.1
+(ke)2.5 G 2.5(yb)-.05 G(inding names.)-2.5 E F1 -.2(bu)184 432 S(iltin)
+.2 E F0(Names of shell b)224 432 Q(uiltin commands.)-.2 E
+(May also be speci\214ed as)5 E F1<ad62>2.5 E F0(.)A F1(command)184 444
+Q F0(Command names.)224 456 Q(May also be speci\214ed as)5 E F1<ad63>2.5
+E F0(.)A F1(dir)184 468 Q(ectory)-.18 E F0(Directory names.)224 480 Q
+(May also be speci\214ed as)5 E F1<ad64>2.5 E F0(.)A F1(disabled)184 492
+Q F0(Names of disabled shell b)224 504 Q(uiltins.)-.2 E F1(enabled)184
+516 Q F0(Names of enabled shell b)224 516 Q(uiltins.)-.2 E F1(export)184
+528 Q F0(Names of e)224 528 Q(xported shell v)-.15 E 2.5(ariables. May)
 -.25 F(also be speci\214ed as)2.5 E F1<ad65>2.5 E F0(.)A F1(\214le)184
-504 Q F0(File names.)224 504 Q(May also be speci\214ed as)5 E F1<ad66>
-2.5 E F0(.)A F1(function)184 516 Q F0(Names of shell functions.)224 528
-Q F1(gr)184 540 Q(oup)-.18 E F0(Group names.)224 540 Q
+540 Q F0(File names.)224 540 Q(May also be speci\214ed as)5 E F1<ad66>
+2.5 E F0(.)A F1(function)184 552 Q F0(Names of shell functions.)224 564
+Q F1(gr)184 576 Q(oup)-.18 E F0(Group names.)224 576 Q
 (May also be speci\214ed as)5 E F1<ad67>2.5 E F0(.)A F1(helptopic)184
-552 Q F0(Help topics as accepted by the)224 564 Q F1(help)2.5 E F0 -.2
-(bu)2.5 G(iltin.).2 E F1(hostname)184 576 Q F0(Hostnames, as tak)224 588
+588 Q F0(Help topics as accepted by the)224 600 Q F1(help)2.5 E F0 -.2
+(bu)2.5 G(iltin.).2 E F1(hostname)184 612 Q F0(Hostnames, as tak)224 624
 Q(en from the \214le speci\214ed by the)-.1 E/F3 9/Times-Bold@0 SF
-(HOSTFILE)2.5 E F0(shell v)2.25 E(ariable.)-.25 E F1(job)184 600 Q F0
-(Job names, if job control is acti)224 600 Q -.15(ve)-.25 G 5(.M).15 G
-(ay also be speci\214ed as)-5 E F1<ad6a>2.5 E F0(.)A F1 -.1(ke)184 612 S
-(yw).1 E(ord)-.1 E F0(Shell reserv)224 624 Q(ed w)-.15 E 2.5(ords. May)
+(HOSTFILE)2.5 E F0(shell v)2.25 E(ariable.)-.25 E F1(job)184 636 Q F0
+(Job names, if job control is acti)224 636 Q -.15(ve)-.25 G 5(.M).15 G
+(ay also be speci\214ed as)-5 E F1<ad6a>2.5 E F0(.)A F1 -.1(ke)184 648 S
+(yw).1 E(ord)-.1 E F0(Shell reserv)224 660 Q(ed w)-.15 E 2.5(ords. May)
 -.1 F(also be speci\214ed as)2.5 E F1<ad6b>2.5 E F0(.)A F1(running)184
-636 Q F0(Names of running jobs, if job control is acti)224 636 Q -.15
-(ve)-.25 G(.).15 E F1(ser)184 648 Q(vice)-.1 E F0(Service names.)224 648
-Q(May also be speci\214ed as)5 E F1<ad73>2.5 E F0(.)A F1(setopt)184 660
-Q F0 -1.11(Va)224 660 S(lid ar)1.11 E(guments for the)-.18 E F1<ad6f>2.5
+672 Q F0(Names of running jobs, if job control is acti)224 672 Q -.15
+(ve)-.25 G(.).15 E F1(ser)184 684 Q(vice)-.1 E F0(Service names.)224 684
+Q(May also be speci\214ed as)5 E F1<ad73>2.5 E F0(.)A F1(setopt)184 696
+Q F0 -1.11(Va)224 696 S(lid ar)1.11 E(guments for the)-.18 E F1<ad6f>2.5
 E F0(option to the)2.5 E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E F1
-(shopt)184 672 Q F0(Shell option names as accepted by the)224 672 Q F1
-(shopt)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E F1(signal)184 684 Q F0
-(Signal names.)224 684 Q F1(stopped)184 696 Q F0
-(Names of stopped jobs, if job control is acti)224 696 Q -.15(ve)-.25 G
-(.).15 E F1(user)184 708 Q F0(User names.)224 708 Q
-(May also be speci\214ed as)5 E F1<ad75>2.5 E F0(.)A(GNU Bash-4.2)72 768
-Q(2004 Apr 20)148.735 E(4)203.725 E 0 Cg EP
+(shopt)184 708 Q F0(Shell option names as accepted by the)224 708 Q F1
+(shopt)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E(GNU Bash-4.2)72 768 Q
+(2004 Apr 20)148.735 E(4)203.725 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 87.61
 (TINS\(1\) General)-.92 F(Commands Manual)2.5 E -.35(BA)90.11 G(SH_B).35
-E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Bold@0 SF -.1(va)184 84 S
-(riable).1 E F0(Names of all shell v)224 84 Q 2.5(ariables. May)-.25 F
-(also be speci\214ed as)2.5 E F1<ad76>2.5 E F0(.)A F1<ad43>144 96 Q/F2
-10/Times-Italic@0 SF(command)2.5 E(command)184 108 Q F0 1.055(is e)3.555
-F -.15(xe)-.15 G 1.055(cuted in a subshell en).15 F 1.056
+E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Bold@0 SF(signal)184 84 Q F0
+(Signal names.)224 84 Q F1(stopped)184 96 Q F0
+(Names of stopped jobs, if job control is acti)224 96 Q -.15(ve)-.25 G
+(.).15 E F1(user)184 108 Q F0(User names.)224 108 Q
+(May also be speci\214ed as)5 E F1<ad75>2.5 E F0(.)A F1 -.1(va)184 120 S
+(riable).1 E F0(Names of all shell v)224 120 Q 2.5(ariables. May)-.25 F
+(also be speci\214ed as)2.5 E F1<ad76>2.5 E F0(.)A F1<ad43>144 132 Q/F2
+10/Times-Italic@0 SF(command)2.5 E(command)184 144 Q F0 1.056(is e)3.556
+F -.15(xe)-.15 G 1.056(cuted in a subshell en).15 F 1.056
 (vironment, and its output is used as the possible)-.4 F(completions.)
-184 120 Q F1<ad46>144 132 Q F2(function)2.5 E F0 .114
-(The shell function)184 144 R F2(function)2.614 E F0 .114(is e)2.614 F
+184 156 Q F1<ad46>144 168 Q F2(function)2.5 E F0 .113
+(The shell function)184 180 R F2(function)2.614 E F0 .114(is e)2.614 F
 -.15(xe)-.15 G .114(cuted in the current shell en).15 F 2.614
-(vironment. When)-.4 F .113(the func-)2.613 F .816(tion is e)184 156 R
--.15(xe)-.15 G .816(cuted, the \214rst ar).15 F .816(gument \()-.18 F F1
-($1)A F0 3.316(\)i)C 3.316(st)-3.316 G .817
+(vironment. When)-.4 F .114(the func-)2.614 F .817(tion is e)184 192 R
+-.15(xe)-.15 G .817(cuted, the \214rst ar).15 F .817(gument \()-.18 F F1
+($1)A F0 3.316(\)i)C 3.316(st)-3.316 G .816
 (he name of the command whose ar)-3.316 F(guments)-.18 E 1.407
-(are being completed, the second ar)184 168 R 1.407(gument \()-.18 F F1
+(are being completed, the second ar)184 204 R 1.407(gument \()-.18 F F1
 ($2)A F0 3.907(\)i)C 3.907(st)-3.907 G 1.407(he w)-3.907 F 1.407
-(ord being completed, and the)-.1 F .103(third ar)184 180 R .103
-(gument \()-.18 F F1($3)A F0 2.603(\)i)C 2.603(st)-2.603 G .103(he w)
--2.603 F .104(ord preceding the w)-.1 F .104
-(ord being completed on the current com-)-.1 F .102(mand line.)184 192 R
-.102(When it \214nishes, the possible completions are retrie)5.102 F
--.15(ve)-.25 G 2.601(df).15 G .101(rom the v)-2.601 F .101(alue of the)
--.25 F/F3 9/Times-Bold@0 SF(COMPREPL)184 204 Q(Y)-.828 E F0(array v)2.25
-E(ariable.)-.25 E F1<ad47>144 216 Q F2(globpat)2.5 E F0 1.007
-(The pathname e)184 228 R 1.007(xpansion pattern)-.15 F F2(globpat)3.507
-E F0 1.007(is e)3.507 F 1.008(xpanded to generate the possible comple-)
--.15 F(tions.)184 240 Q F1<ad50>144 252 Q F2(pr)2.5 E(e\214x)-.37 E(pr)
-184 264 Q(e\214x)-.37 E F0 .535(is added at the be)3.035 F .534
+(ord being completed, and the)-.1 F .104(third ar)184 216 R .104
+(gument \()-.18 F F1($3)A F0 2.604(\)i)C 2.604(st)-2.604 G .104(he w)
+-2.604 F .104(ord preceding the w)-.1 F .103
+(ord being completed on the current com-)-.1 F .101(mand line.)184 228 R
+.101(When it \214nishes, the possible completions are retrie)5.101 F
+-.15(ve)-.25 G 2.602(df).15 G .102(rom the v)-2.602 F .102(alue of the)
+-.25 F/F3 9/Times-Bold@0 SF(COMPREPL)184 240 Q(Y)-.828 E F0(array v)2.25
+E(ariable.)-.25 E F1<ad47>144 252 Q F2(globpat)2.5 E F0 1.008
+(The pathname e)184 264 R 1.008(xpansion pattern)-.15 F F2(globpat)3.507
+E F0 1.007(is e)3.507 F 1.007(xpanded to generate the possible comple-)
+-.15 F(tions.)184 276 Q F1<ad50>144 288 Q F2(pr)2.5 E(e\214x)-.37 E(pr)
+184 300 Q(e\214x)-.37 E F0 .534(is added at the be)3.034 F .534
 (ginning of each possible completion after all other options ha)-.15 F
--.15(ve)-.2 G(been applied.)184 276 Q F1<ad53>144 288 Q F2(suf)2.5 E
-<8c78>-.18 E(suf)184 288 Q<8c78>-.18 E F0
+-.15(ve)-.2 G(been applied.)184 312 Q F1<ad53>144 324 Q F2(suf)2.5 E
+<8c78>-.18 E(suf)184 324 Q<8c78>-.18 E F0
 (is appended to each possible completion after all other options ha)2.5
-E .3 -.15(ve b)-.2 H(een applied.).15 E F1<ad57>144 300 Q F2(wor)2.5 E
-(dlist)-.37 E F0(The)184 312 Q F2(wor)3.639 E(dlist)-.37 E F0 1.14
-(is split using the characters in the)3.639 F F3(IFS)3.64 E F0 1.14
-(special v)3.39 F 1.14(ariable as delimiters, and)-.25 F 2.008
-(each resultant w)184 324 R 2.008(ord is e)-.1 F 4.508(xpanded. The)-.15
-F 2.007(possible completions are the members of the)4.508 F
-(resultant list which match the w)184 336 Q(ord being completed.)-.1 E
-F1<ad58>144 348 Q F2(\214lterpat)2.5 E(\214lterpat)184 360 Q F0 .455
-(is a pattern as used for pathname e)2.955 F 2.956(xpansion. It)-.15 F
-.456(is applied to the list of possible)2.956 F 1.596
-(completions generated by the preceding options and ar)184 372 R 1.596
-(guments, and each completion)-.18 F(matching)184 384 Q F2(\214lterpat)
-3.204 E F0 .704(is remo)3.204 F -.15(ve)-.15 G 3.204(df).15 G .704
-(rom the list.)-3.204 F 3.204(Al)5.704 G(eading)-3.204 E F1(!)3.204 E F0
-(in)3.204 E F2(\214lterpat)3.205 E F0(ne)3.205 E -.05(ga)-.15 G .705
-(tes the pattern;).05 F(in this case, an)184 396 Q 2.5(yc)-.15 G
+E .3 -.15(ve b)-.2 H(een applied.).15 E F1<ad57>144 336 Q F2(wor)2.5 E
+(dlist)-.37 E F0(The)184 348 Q F2(wor)3.64 E(dlist)-.37 E F0 1.14
+(is split using the characters in the)3.64 F F3(IFS)3.64 E F0 1.139
+(special v)3.39 F 1.139(ariable as delimiters, and)-.25 F 2.007
+(each resultant w)184 360 R 2.007(ord is e)-.1 F 4.507(xpanded. The)-.15
+F 2.008(possible completions are the members of the)4.507 F
+(resultant list which match the w)184 372 Q(ord being completed.)-.1 E
+F1<ad58>144 384 Q F2(\214lterpat)2.5 E(\214lterpat)184 396 Q F0 .456
+(is a pattern as used for pathname e)2.956 F 2.956(xpansion. It)-.15 F
+.455(is applied to the list of possible)2.956 F 1.596
+(completions generated by the preceding options and ar)184 408 R 1.596
+(guments, and each completion)-.18 F(matching)184 420 Q F2(\214lterpat)
+3.205 E F0 .705(is remo)3.205 F -.15(ve)-.15 G 3.205(df).15 G .704
+(rom the list.)-3.205 F 3.204(Al)5.704 G(eading)-3.204 E F1(!)3.204 E F0
+(in)3.204 E F2(\214lterpat)3.204 E F0(ne)3.204 E -.05(ga)-.15 G .704
+(tes the pattern;).05 F(in this case, an)184 432 Q 2.5(yc)-.15 G
 (ompletion not matching)-2.5 E F2(\214lterpat)2.5 E F0(is remo)2.5 E
--.15(ve)-.15 G(d.).15 E .467(The return v)144 412.8 R .467
+-.15(ve)-.15 G(d.).15 E .466(The return v)144 448.8 R .466
 (alue is true unless an in)-.25 F -.25(va)-.4 G .466
-(lid option is supplied, an option other than).25 F F1<ad70>2.966 E F0
-(or)2.966 E F1<ad72>2.966 E F0 .466(is sup-)2.966 F 1.361
-(plied without a)144 424.8 R F2(name)3.861 E F0(ar)3.861 E 1.361
-(gument, an attempt is made to remo)-.18 F 1.662 -.15(ve a c)-.15 H
-1.362(ompletion speci\214cation for a).15 F F2(name)144 436.8 Q F0
+(lid option is supplied, an option other than).25 F F1<ad70>2.967 E F0
+(or)2.967 E F1<ad72>2.967 E F0 .467(is sup-)2.967 F 1.362
+(plied without a)144 460.8 R F2(name)3.862 E F0(ar)3.862 E 1.361
+(gument, an attempt is made to remo)-.18 F 1.661 -.15(ve a c)-.15 H
+1.361(ompletion speci\214cation for a).15 F F2(name)144 472.8 Q F0
 (for which no speci\214cation e)2.5 E
 (xists, or an error occurs adding a completion speci\214cation.)-.15 E
-F1(compopt)108 453.6 Q F0([)2.5 E F1<ad6f>A F2(option)2.5 E F0 2.5(][)C
+F1(compopt)108 489.6 Q F0([)2.5 E F1<ad6f>A F2(option)2.5 E F0 2.5(][)C
 F1(\255DE)-2.5 E F0 2.5(][)C F1(+o)-2.5 E F2(option)2.5 E F0 2.5(][)C F2
-(name)-2.5 E F0(])A .447(Modify completion options for each)144 465.6 R
+(name)-2.5 E F0(])A .447(Modify completion options for each)144 501.6 R
 F2(name)2.947 E F0 .447(according to the)2.947 F F2(option)2.947 E F0
-.447(s, or for the currently-e)B -.15(xe)-.15 G(cuting).15 E .725
-(completion if no)144 477.6 R F2(name)3.225 E F0 3.225(sa)C .725
-(re supplied.)-3.225 F .725(If no)5.725 F F2(option)3.225 E F0 3.225(sa)
-C .725(re gi)-3.225 F -.15(ve)-.25 G .726
-(n, display the completion options for).15 F(each)144 489.6 Q F2(name)
-3.224 E F0 .724(or the current completion.)3.224 F .724(The possible v)
+.447(s, or for the currently-e)B -.15(xe)-.15 G(cuting).15 E .726
+(completion if no)144 513.6 R F2(name)3.226 E F0 3.226(sa)C .726
+(re supplied.)-3.226 F .725(If no)5.725 F F2(option)3.225 E F0 3.225(sa)
+C .725(re gi)-3.225 F -.15(ve)-.25 G .725
+(n, display the completion options for).15 F(each)144 525.6 Q F2(name)
+3.223 E F0 .723(or the current completion.)3.223 F .724(The possible v)
 5.724 F .724(alues of)-.25 F F2(option)3.224 E F0 .724(are those v)3.224
-F .723(alid for the)-.25 F F1(com-)3.223 E(plete)144 501.6 Q F0 -.2(bu)
-2.797 G .297(iltin described abo).2 F -.15(ve)-.15 G 5.297(.T).15 G(he)
+F .724(alid for the)-.25 F F1(com-)3.224 E(plete)144 537.6 Q F0 -.2(bu)
+2.798 G .298(iltin described abo).2 F -.15(ve)-.15 G 5.297(.T).15 G(he)
 -5.297 E F1<ad44>2.797 E F0 .297
 (option indicates that the remaining options should apply to)2.797 F
-1.228(the `)144 513.6 R(`def)-.74 E(ault')-.1 E 3.728('c)-.74 G 1.228(o\
+1.227(the `)144 549.6 R(`def)-.74 E(ault')-.1 E 3.727('c)-.74 G 1.228(o\
 mmand completion; that is, completion attempted on a command for which \
-no)-3.728 F 2.177(completion has pre)144 525.6 R 2.177
-(viously been de\214ned.)-.25 F(The)7.177 E F1<ad45>4.677 E F0 2.178
-(option indicates that the remaining options)4.678 F(should apply to `)
-144 537.6 Q(`empty')-.74 E 2.5('c)-.74 G
+no)-3.727 F 2.178(completion has pre)144 561.6 R 2.178
+(viously been de\214ned.)-.25 F(The)7.178 E F1<ad45>4.678 E F0 2.177
+(option indicates that the remaining options)4.677 F(should apply to `)
+144 573.6 Q(`empty')-.74 E 2.5('c)-.74 G
 (ommand completion; that is, completion attempted on a blank line.)-2.5
-E 1.388(The return v)144 561.6 R 1.388(alue is true unless an in)-.25 F
--.25(va)-.4 G 1.387
+E 1.387(The return v)144 597.6 R 1.387(alue is true unless an in)-.25 F
+-.25(va)-.4 G 1.388
 (lid option is supplied, an attempt is made to modify the).25 F
-(options for a)144 573.6 Q F2(name)2.5 E F0
+(options for a)144 609.6 Q F2(name)2.5 E F0
 (for which no completion speci\214cation e)2.5 E
-(xists, or an output error occurs.)-.15 E F1(continue)108 590.4 Q F0([)
-2.5 E F2(n)A F0(])A 1.753(Resume the ne)144 602.4 R 1.753
+(xists, or an output error occurs.)-.15 E F1(continue)108 626.4 Q F0([)
+2.5 E F2(n)A F0(])A 1.754(Resume the ne)144 638.4 R 1.754
 (xt iteration of the enclosing)-.15 F F1 -.25(fo)4.254 G(r).25 E F0(,)A
 F1(while)4.254 E F0(,)A F1(until)4.254 E F0 4.254(,o)C(r)-4.254 E F1
-(select)4.254 E F0 4.254(loop. If)4.254 F F2(n)4.614 E F0 1.754
-(is speci\214ed,)4.494 F 1.209(resume at the)144 614.4 R F2(n)3.709 E F0
+(select)4.254 E F0 4.253(loop. If)4.254 F F2(n)4.613 E F0 1.753
+(is speci\214ed,)4.493 F 1.208(resume at the)144 650.4 R F2(n)3.709 E F0
 1.209(th enclosing loop.)B F2(n)6.569 E F0 1.209(must be)3.949 F/F4 10
 /Symbol SF<b3>3.709 E F0 3.709(1. If)3.709 F F2(n)4.069 E F0 1.209
-(is greater than the number of enclosing)3.949 F .513
-(loops, the last enclosing loop \(the `)144 626.4 R(`top-le)-.74 E -.15
-(ve)-.25 G(l').15 E 3.013('l)-.74 G .513(oop\) is resumed.)-3.013 F .514
-(The return v)5.514 F .514(alue is 0 unless)-.25 F F2(n)3.014 E F0(is)
-3.014 E(not greater than or equal to 1.)144 638.4 Q F1(declar)108 655.2
+(is greater than the number of enclosing)3.949 F .514
+(loops, the last enclosing loop \(the `)144 662.4 R(`top-le)-.74 E -.15
+(ve)-.25 G(l').15 E 3.014('l)-.74 G .514(oop\) is resumed.)-3.014 F .513
+(The return v)5.513 F .513(alue is 0 unless)-.25 F F2(n)3.013 E F0(is)
+3.013 E(not greater than or equal to 1.)144 674.4 Q F1(declar)108 691.2
 Q(e)-.18 E F0([)2.5 E F1(\255aAfFgilnrtux)A F0 2.5(][)C F1<ad70>-2.5 E
 F0 2.5(][)C F2(name)-2.5 E F0([=)A F2(value)A F0 2.5(].)C(..])-2.5 E F1
-(typeset)108 667.2 Q F0([)2.5 E F1(\255aAfFgilnrtux)A F0 2.5(][)C F1
+(typeset)108 703.2 Q F0([)2.5 E F1(\255aAfFgilnrtux)A F0 2.5(][)C F1
 <ad70>-2.5 E F0 2.5(][)C F2(name)-2.5 E F0([=)A F2(value)A F0 2.5(].)C
-(..])-2.5 E 1.265(Declare v)144 679.2 R 1.265(ariables and/or gi)-.25 F
-1.565 -.15(ve t)-.25 H 1.265(hem attrib).15 F 3.765(utes. If)-.2 F(no)
+(..])-2.5 E 1.264(Declare v)144 715.2 R 1.264(ariables and/or gi)-.25 F
+1.564 -.15(ve t)-.25 H 1.264(hem attrib).15 F 3.765(utes. If)-.2 F(no)
 3.765 E F2(name)3.765 E F0 3.765(sa)C 1.265(re gi)-3.765 F -.15(ve)-.25
-G 3.764(nt).15 G 1.264(hen display the v)-3.764 F 1.264(alues of)-.25 F
--.25(va)144 691.2 S 3.482(riables. The).25 F F1<ad70>3.482 E F0 .982
-(option will display the attrib)3.482 F .982(utes and v)-.2 F .983
-(alues of each)-.25 F F2(name)3.483 E F0 5.983(.W).18 G(hen)-5.983 E F1
-<ad70>3.483 E F0 .983(is used)3.483 F(with)144 703.2 Q F2(name)2.775 E
-F0(ar)2.775 E .275(guments, additional options, other than)-.18 F F1
-<ad66>2.775 E F0(and)2.775 E F1<ad46>2.775 E F0 2.775(,a)C .274
-(re ignored.)-2.775 F(When)5.274 E F1<ad70>2.774 E F0 .274(is supplied)
-2.774 F(without)144 715.2 Q F2(name)4.813 E F0(ar)4.813 E 2.313
-(guments, it will display the attrib)-.18 F 2.314(utes and v)-.2 F 2.314
-(alues of all v)-.25 F 2.314(ariables ha)-.25 F 2.314(ving the)-.2 F
-(attrib)144 727.2 Q 1.182(utes speci\214ed by the additional options.)
--.2 F 1.181(If no other options are supplied with)6.182 F F1<ad70>3.681
-E F0(,)A F1(declar)3.681 E(e)-.18 E F0(GNU Bash-4.2)72 768 Q
-(2004 Apr 20)148.735 E(5)203.725 E 0 Cg EP
+G 3.765(nt).15 G 1.265(hen display the v)-3.765 F 1.265(alues of)-.25 F
+-.25(va)144 727.2 S 3.483(riables. The).25 F F1<ad70>3.483 E F0 .983
+(option will display the attrib)3.483 F .983(utes and v)-.2 F .982
+(alues of each)-.25 F F2(name)3.482 E F0 5.982(.W).18 G(hen)-5.982 E F1
+<ad70>3.482 E F0 .982(is used)3.482 F(GNU Bash-4.2)72 768 Q(2004 Apr 20)
+148.735 E(5)203.725 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 87.61
 (TINS\(1\) General)-.92 F(Commands Manual)2.5 E -.35(BA)90.11 G(SH_B).35
-E(UIL)-.1 E(TINS\(1\))-.92 E .62(will display the attrib)144 84 R .62
-(utes and v)-.2 F .62(alues of all shell v)-.25 F 3.12(ariables. The)
--.25 F/F1 10/Times-Bold@0 SF<ad66>3.12 E F0 .62
-(option will restrict the display)3.12 F 1.291(to shell functions.)144
-96 R(The)6.291 E F1<ad46>3.791 E F0 1.291(option inhibits the display o\
-f function de\214nitions; only the function)3.791 F .948
-(name and attrib)144 108 R .948(utes are printed.)-.2 F .948(If the)
-5.948 F F1(extdeb)3.448 E(ug)-.2 E F0 .948
-(shell option is enabled using)3.448 F F1(shopt)3.448 E F0 3.448(,t)C
+E(UIL)-.1 E(TINS\(1\))-.92 E(with)144 84 Q/F1 10/Times-Italic@0 SF(name)
+2.774 E F0(ar)2.774 E .274(guments, additional options, other than)-.18
+F/F2 10/Times-Bold@0 SF<ad66>2.775 E F0(and)2.775 E F2<ad46>2.775 E F0
+2.775(,a)C .275(re ignored.)-2.775 F(When)5.275 E F2<ad70>2.775 E F0
+.275(is supplied)2.775 F(without)144 96 Q F1(name)4.814 E F0(ar)4.814 E
+2.314(guments, it will display the attrib)-.18 F 2.314(utes and v)-.2 F
+2.313(alues of all v)-.25 F 2.313(ariables ha)-.25 F 2.313(ving the)-.2
+F(attrib)144 108 Q 1.181(utes speci\214ed by the additional options.)-.2
+F 1.182(If no other options are supplied with)6.181 F F2<ad70>3.682 E F0
+(,)A F2(declar)3.682 E(e)-.18 E F0 .62(will display the attrib)144 120 R
+.62(utes and v)-.2 F .62(alues of all shell v)-.25 F 3.12(ariables. The)
+-.25 F F2<ad66>3.12 E F0 .62(option will restrict the display)3.12 F
+1.29(to shell functions.)144 132 R(The)6.29 E F2<ad46>3.79 E F0 1.291(o\
+ption inhibits the display of function de\214nitions; only the function)
+3.791 F .948(name and attrib)144 144 R .948(utes are printed.)-.2 F .948
+(If the)5.948 F F2(extdeb)3.448 E(ug)-.2 E F0 .948
+(shell option is enabled using)3.448 F F2(shopt)3.448 E F0 3.448(,t)C
 .948(he source)-3.448 F 1.342(\214le name and line number where the fun\
-ction is de\214ned are displayed as well.)144 120 R(The)6.342 E F1<ad46>
-3.841 E F0(option)3.841 E(implies)144 132 Q F1<ad66>3.891 E F0 6.391(.T)
-C(he)-6.391 E F1<ad67>3.891 E F0 1.391(option forces v)3.891 F 1.391
+ction is de\214ned are displayed as well.)144 156 R(The)6.342 E F2<ad46>
+3.842 E F0(option)3.842 E(implies)144 168 Q F2<ad66>3.892 E F0 6.392(.T)
+C(he)-6.392 E F2<ad67>3.892 E F0 1.391(option forces v)3.892 F 1.391
 (ariables to be created or modi\214ed at the global scope, e)-.25 F -.15
-(ve)-.25 G(n).15 E(when)144 144 Q F1(declar)4.383 E(e)-.18 E F0 1.883
-(is e)4.383 F -.15(xe)-.15 G 1.883(cuted in a shell function.).15 F
-1.882(It is ignored in all other cases.)6.883 F 1.882(The follo)6.882 F
-(wing)-.25 E .793(options can be used to restrict output to v)144 156 R
-.794(ariables with the speci\214ed attrib)-.25 F .794(ute or to gi)-.2 F
-1.094 -.15(ve v)-.25 H(ariables)-.1 E(attrib)144 168 Q(utes:)-.2 E F1
-<ad61>144 180 Q F0(Each)180 180 Q/F2 10/Times-Italic@0 SF(name)2.5 E F0
-(is an inde)2.5 E -.15(xe)-.15 G 2.5(da).15 G(rray v)-2.5 E
-(ariable \(see)-.25 E F1(Arrays)2.5 E F0(abo)2.5 E -.15(ve)-.15 G(\).)
-.15 E F1<ad41>144 192 Q F0(Each)180 192 Q F2(name)2.5 E F0
-(is an associati)2.5 E .3 -.15(ve a)-.25 H(rray v).15 E(ariable \(see)
--.25 E F1(Arrays)2.5 E F0(abo)2.5 E -.15(ve)-.15 G(\).).15 E F1<ad66>144
-204 Q F0(Use function names only)180 204 Q(.)-.65 E F1<ad69>144 216 Q F0
-.558(The v)180 216 R .558(ariable is treated as an inte)-.25 F .558
-(ger; arithmetic e)-.15 F -.25(va)-.25 G .558(luation \(see).25 F/F3 9
-/Times-Bold@0 SF .557(ARITHMETIC EV)3.058 F(ALU)-1.215 E(A-)-.54 E(TION)
-180 228 Q F0(abo)2.25 E -.15(ve)-.15 G 2.5(\)i).15 G 2.5(sp)-2.5 G
-(erformed when the v)-2.5 E(ariable is assigned a v)-.25 E(alue.)-.25 E
-F1<ad6c>144 240 Q F0 .909(When the v)180 240 R .909
-(ariable is assigned a v)-.25 F .909(alue, all upper)-.25 F .909
-(-case characters are con)-.2 F -.15(ve)-.4 G .91(rted to lo).15 F(wer)
--.25 E(-)-.2 E 2.5(case. The)180 252 R(upper)2.5 E(-case attrib)-.2 E
-(ute is disabled.)-.2 E F1<ad6e>144 264 Q F0(Gi)180 264 Q 1.62 -.15
-(ve e)-.25 H(ach).15 E F2(name)3.82 E F0(the)3.82 E F2(namer)3.819 E(ef)
--.37 E F0(attrib)3.819 E 1.319
+(ve)-.25 G(n).15 E(when)144 180 Q F2(declar)4.382 E(e)-.18 E F0 1.882
+(is e)4.382 F -.15(xe)-.15 G 1.882(cuted in a shell function.).15 F
+1.883(It is ignored in all other cases.)6.882 F 1.883(The follo)6.883 F
+(wing)-.25 E .794(options can be used to restrict output to v)144 192 R
+.794(ariables with the speci\214ed attrib)-.25 F .793(ute or to gi)-.2 F
+1.093 -.15(ve v)-.25 H(ariables)-.1 E(attrib)144 204 Q(utes:)-.2 E F2
+<ad61>144 216 Q F0(Each)180 216 Q F1(name)2.5 E F0(is an inde)2.5 E -.15
+(xe)-.15 G 2.5(da).15 G(rray v)-2.5 E(ariable \(see)-.25 E F2(Arrays)2.5
+E F0(abo)2.5 E -.15(ve)-.15 G(\).).15 E F2<ad41>144 228 Q F0(Each)180
+228 Q F1(name)2.5 E F0(is an associati)2.5 E .3 -.15(ve a)-.25 H(rray v)
+.15 E(ariable \(see)-.25 E F2(Arrays)2.5 E F0(abo)2.5 E -.15(ve)-.15 G
+(\).).15 E F2<ad66>144 240 Q F0(Use function names only)180 240 Q(.)-.65
+E F2<ad69>144 252 Q F0 .557(The v)180 252 R .558
+(ariable is treated as an inte)-.25 F .558(ger; arithmetic e)-.15 F -.25
+(va)-.25 G .558(luation \(see).25 F/F3 9/Times-Bold@0 SF .558
+(ARITHMETIC EV)3.058 F(ALU)-1.215 E(A-)-.54 E(TION)180 264 Q F0(abo)2.25
+E -.15(ve)-.15 G 2.5(\)i).15 G 2.5(sp)-2.5 G(erformed when the v)-2.5 E
+(ariable is assigned a v)-.25 E(alue.)-.25 E F2<ad6c>144 276 Q F0 .91
+(When the v)180 276 R .909(ariable is assigned a v)-.25 F .909
+(alue, all upper)-.25 F .909(-case characters are con)-.2 F -.15(ve)-.4
+G .909(rted to lo).15 F(wer)-.25 E(-)-.2 E 2.5(case. The)180 288 R
+(upper)2.5 E(-case attrib)-.2 E(ute is disabled.)-.2 E F2<ad6e>144 300 Q
+F0(Gi)180 300 Q 1.619 -.15(ve e)-.25 H(ach).15 E F1(name)3.819 E F0(the)
+3.819 E F1(namer)3.819 E(ef)-.37 E F0(attrib)3.819 E 1.319
 (ute, making it a name reference to another v)-.2 F(ariable.)-.25 E
-1.518(That other v)180 276 R 1.518(ariable is de\214ned by the v)-.25 F
-1.519(alue of)-.25 F F2(name)4.019 E F0 6.519(.A)C 1.519
-(ll references, assignments, and)-6.519 F(attrib)180 288 Q .27
-(ute modi\214cations to)-.2 F F2(name)2.77 E F0 2.77(,e)C .27
-(xcept for changing the)-2.92 F F1<ad6e>2.77 E F0(attrib)2.77 E .27
-(ute itself, are performed)-.2 F .894(on the v)180 300 R .894
-(ariable referenced by)-.25 F F2(name)3.394 E F0 1.995 -.55('s v)D 3.395
-(alue. The).3 F .895(nameref attrib)3.395 F .895
-(ute cannot be applied to)-.2 F(array v)180 312 Q(ariables.)-.25 E F1
-<ad72>144 324 Q F0(Mak)180 324 Q(e)-.1 E F2(name)5.047 E F0 5.047(sr)C
-(eadonly)-5.047 E 7.547(.T)-.65 G 2.546
-(hese names cannot then be assigned v)-7.547 F 2.546
-(alues by subsequent)-.25 F(assignment statements or unset.)180 336 Q F1
-<ad74>144 348 Q F0(Gi)180 348 Q .729 -.15(ve e)-.25 H(ach).15 E F2(name)
-2.929 E F0(the)2.929 E F2(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E 2.929
-(ute. T)-.2 F .429(raced functions inherit the)-.35 F F1(DEB)2.929 E(UG)
--.1 E F0(and)2.93 E F1(RETURN)2.93 E F0(traps from the calling shell.)
-180 360 Q(The trace attrib)5 E(ute has no special meaning for v)-.2 E
-(ariables.)-.25 E F1<ad75>144 372 Q F0 .91(When the v)180 372 R .909
+1.519(That other v)180 312 R 1.519(ariable is de\214ned by the v)-.25 F
+1.518(alue of)-.25 F F1(name)4.018 E F0 6.518(.A)C 1.518
+(ll references, assignments, and)-6.518 F(attrib)180 324 Q .27
+(ute modi\214cations to)-.2 F F1(name)2.77 E F0 2.77(,e)C .27
+(xcept for changing the)-2.92 F F2<ad6e>2.77 E F0(attrib)2.77 E .27
+(ute itself, are performed)-.2 F .895(on the v)180 336 R .895
+(ariable referenced by)-.25 F F1(name)3.395 E F0 1.995 -.55('s v)D 3.395
+(alue. The).3 F .894(nameref attrib)3.395 F .894
+(ute cannot be applied to)-.2 F(array v)180 348 Q(ariables.)-.25 E F2
+<ad72>144 360 Q F0(Mak)180 360 Q(e)-.1 E F1(name)5.046 E F0 5.046(sr)C
+(eadonly)-5.046 E 7.546(.T)-.65 G 2.546
+(hese names cannot then be assigned v)-7.546 F 2.547
+(alues by subsequent)-.25 F(assignment statements or unset.)180 372 Q F2
+<ad74>144 384 Q F0(Gi)180 384 Q .73 -.15(ve e)-.25 H(ach).15 E F1(name)
+2.93 E F0(the)2.929 E F1(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E 2.929
+(ute. T)-.2 F .429(raced functions inherit the)-.35 F F2(DEB)2.929 E(UG)
+-.1 E F0(and)2.929 E F2(RETURN)2.929 E F0(traps from the calling shell.)
+180 396 Q(The trace attrib)5 E(ute has no special meaning for v)-.2 E
+(ariables.)-.25 E F2<ad75>144 408 Q F0 .909(When the v)180 408 R .909
 (ariable is assigned a v)-.25 F .909(alue, all lo)-.25 F(wer)-.25 E .909
-(-case characters are con)-.2 F -.15(ve)-.4 G .909(rted to upper).15 F
-(-)-.2 E 2.5(case. The)180 384 R(lo)2.5 E(wer)-.25 E(-case attrib)-.2 E
-(ute is disabled.)-.2 E F1<ad78>144 396 Q F0(Mark)180 396 Q F2(name)2.5
+(-case characters are con)-.2 F -.15(ve)-.4 G .91(rted to upper).15 F(-)
+-.2 E 2.5(case. The)180 420 R(lo)2.5 E(wer)-.25 E(-case attrib)-.2 E
+(ute is disabled.)-.2 E F2<ad78>144 432 Q F0(Mark)180 432 Q F1(name)2.5
 E F0 2.5(sf)C(or e)-2.5 E(xport to subsequent commands via the en)-.15 E
-(vironment.)-.4 E .12(Using `+' instead of `\255' turns of)144 412.8 R
-2.62(ft)-.25 G .12(he attrib)-2.62 F .121(ute instead, with the e)-.2 F
-.121(xceptions that)-.15 F F1(+a)2.621 E F0 .121(may not be used)2.621 F
-.645(to destro)144 424.8 R 3.145(ya)-.1 G 3.145(na)-3.145 G .645(rray v)
--3.145 F .645(ariable and)-.25 F F1(+r)3.145 E F0 .645(will not remo)
-3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.144
-(ute. When)-.2 F .644(used in a func-)3.144 F(tion,)144 436.8 Q F1
-(declar)2.835 E(e)-.18 E F0(and)2.835 E F1(typeset)2.835 E F0(mak)2.835
-E 2.835(ee)-.1 G(ach)-2.835 E F2(name)2.835 E F0 .335
-(local, as with the)2.835 F F1(local)2.835 E F0 .335
-(command, unless the)2.835 F F1<ad67>2.835 E F0(option)2.835 E 1.283
-(is supplied.)144 448.8 R 1.283(If a v)6.283 F 1.283
-(ariable name is follo)-.25 F 1.283(wed by =)-.25 F F2(value)A F0 3.783
-(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.282
-(ariable is set to)-.25 F F2(value)3.782 E F0(.)A .926(When using)144
-460.8 R F1<ad61>3.426 E F0(or)3.426 E F1<ad41>3.426 E F0 .927
-(and the compound assignment syntax to create array v)3.426 F .927
-(ariables, additional)-.25 F(attrib)144 472.8 Q .592(utes do not tak)-.2
+(vironment.)-.4 E .121(Using `+' instead of `\255' turns of)144 448.8 R
+2.621(ft)-.25 G .121(he attrib)-2.621 F .121(ute instead, with the e)-.2
+F .12(xceptions that)-.15 F F2(+a)2.62 E F0 .12(may not be used)2.62 F
+.644(to destro)144 460.8 R 3.144(ya)-.1 G 3.144(na)-3.144 G .644(rray v)
+-3.144 F .644(ariable and)-.25 F F2(+r)3.145 E F0 .645(will not remo)
+3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.145
+(ute. When)-.2 F .645(used in a func-)3.145 F(tion,)144 472.8 Q F2
+(declar)2.835 E(e)-.18 E F0(and)2.835 E F2(typeset)2.835 E F0(mak)2.835
+E 2.835(ee)-.1 G(ach)-2.835 E F1(name)2.835 E F0 .335
+(local, as with the)2.835 F F2(local)2.835 E F0 .335
+(command, unless the)2.835 F F2<ad67>2.835 E F0(option)2.835 E 1.282
+(is supplied.)144 484.8 R 1.282(If a v)6.282 F 1.283
+(ariable name is follo)-.25 F 1.283(wed by =)-.25 F F1(value)A F0 3.783
+(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.283
+(ariable is set to)-.25 F F1(value)3.783 E F0(.)A .927(When using)144
+496.8 R F2<ad61>3.427 E F0(or)3.427 E F2<ad41>3.427 E F0 .926
+(and the compound assignment syntax to create array v)3.427 F .926
+(ariables, additional)-.25 F(attrib)144 508.8 Q .592(utes do not tak)-.2
 F 3.092(ee)-.1 G -.25(ff)-3.092 G .592
 (ect until subsequent assignments.).25 F .592(The return v)5.592 F .592
 (alue is 0 unless an in)-.25 F -.25(va)-.4 G(lid).25 E .429
 (option is encountered, an attempt is made to de\214ne a function using)
-144 484.8 R/F4 10/Courier@0 SF .429(\255f foo=bar)2.929 F F0 2.929(,a)C
-2.929(na)-2.929 G .429(ttempt is)-2.929 F .063(made to assign a v)144
-496.8 R .063(alue to a readonly v)-.25 F .062
-(ariable, an attempt is made to assign a v)-.25 F .062
+144 520.8 R/F4 10/Courier@0 SF .428(\255f foo=bar)2.929 F F0 2.928(,a)C
+2.928(na)-2.928 G .428(ttempt is)-2.928 F .062(made to assign a v)144
+532.8 R .062(alue to a readonly v)-.25 F .063
+(ariable, an attempt is made to assign a v)-.25 F .063
 (alue to an array v)-.25 F(ari-)-.25 E .102
-(able without using the compound assignment syntax \(see)144 508.8 R F1
+(able without using the compound assignment syntax \(see)144 544.8 R F2
 (Arrays)2.602 E F0(abo)2.602 E -.15(ve)-.15 G .102(\), one of the).15 F
-F2(names)2.602 E F0 .102(is not a)2.602 F -.25(va)144 520.8 S .172
+F1(names)2.602 E F0 .101(is not a)2.602 F -.25(va)144 556.8 S .171
 (lid shell v).25 F .171(ariable name, an attempt is made to turn of)-.25
-F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .171
-(ariable, an)-.25 F .96(attempt is made to turn of)144 532.8 R 3.46(fa)
+F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .172
+(ariable, an)-.25 F .96(attempt is made to turn of)144 568.8 R 3.46(fa)
 -.25 G .96(rray status for an array v)-3.46 F .96
-(ariable, or an attempt is made to display a)-.25 F(non-e)144 544.8 Q
-(xistent function with)-.15 E F1<ad66>2.5 E F0(.)A F1
-(dirs [\255clpv] [+)108 561.6 Q F2(n)A F1 2.5(][)C<ad>-2.5 E F2(n)A F1
-(])A F0 -.4(Wi)144 573.6 S .329
+(ariable, or an attempt is made to display a)-.25 F(non-e)144 580.8 Q
+(xistent function with)-.15 E F2<ad66>2.5 E F0(.)A F2
+(dirs [\255clpv] [+)108 597.6 Q F1(n)A F2 2.5(][)C<ad>-2.5 E F1(n)A F2
+(])A F0 -.4(Wi)144 609.6 S .328
 (thout options, displays the list of currently remembered directories.)
-.4 F .328(The def)5.328 F .328(ault display is on a)-.1 F 1.238
-(single line with directory names separated by spaces.)144 585.6 R 1.238
-(Directories are added to the list with the)6.238 F F1(pushd)144 597.6 Q
-F0(command; the)2.5 E F1(popd)2.5 E F0(command remo)2.5 E -.15(ve)-.15 G
-2.5(se).15 G(ntries from the list.)-2.5 E F1<ad63>144 609.6 Q F0
-(Clears the directory stack by deleting all of the entries.)180 609.6 Q
-F1<ad6c>144 621.6 Q F0 .882
-(Produces a listing using full pathnames; the def)180 621.6 R .881
+.4 F .329(The def)5.329 F .329(ault display is on a)-.1 F 1.238
+(single line with directory names separated by spaces.)144 621.6 R 1.238
+(Directories are added to the list with the)6.238 F F2(pushd)144 633.6 Q
+F0(command; the)2.5 E F2(popd)2.5 E F0(command remo)2.5 E -.15(ve)-.15 G
+2.5(se).15 G(ntries from the list.)-2.5 E F2<ad63>144 645.6 Q F0
+(Clears the directory stack by deleting all of the entries.)180 645.6 Q
+F2<ad6c>144 657.6 Q F0 .881
+(Produces a listing using full pathnames; the def)180 657.6 R .882
 (ault listing format uses a tilde to denote)-.1 F(the home directory)180
-633.6 Q(.)-.65 E F1<ad70>144 645.6 Q F0
-(Print the directory stack with one entry per line.)180 645.6 Q F1<ad76>
-144 657.6 Q F0 .272(Print the directory stack with one entry per line, \
-pre\214xing each entry with its inde)180 657.6 R 2.773(xi)-.15 G 2.773
-(nt)-2.773 G(he)-2.773 E(stack.)180 669.6 Q F1(+)144 681.6 Q F2(n)A F0
-1.565(Displays the)180 681.6 R F2(n)4.065 E F0 1.565
-(th entry counting from the left of the list sho)B 1.564(wn by)-.25 F F1
-(dirs)4.064 E F0 1.564(when in)4.064 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
-(without options, starting with zero.)180 693.6 Q F1<ad>144 705.6 Q F2
-(n)A F0 1.194(Displays the)180 705.6 R F2(n)3.694 E F0 1.194
-(th entry counting from the right of the list sho)B 1.194(wn by)-.25 F
-F1(dirs)3.694 E F0 1.194(when in)3.694 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
-(without options, starting with zero.)180 717.6 Q(GNU Bash-4.2)72 768 Q
+669.6 Q(.)-.65 E F2<ad70>144 681.6 Q F0
+(Print the directory stack with one entry per line.)180 681.6 Q F2<ad76>
+144 693.6 Q F0 .273(Print the directory stack with one entry per line, \
+pre\214xing each entry with its inde)180 693.6 R 2.772(xi)-.15 G 2.772
+(nt)-2.772 G(he)-2.772 E(stack.)180 705.6 Q F2(+)144 717.6 Q F1(n)A F0
+1.564(Displays the)180 717.6 R F1(n)4.064 E F0 1.565
+(th entry counting from the left of the list sho)B 1.565(wn by)-.25 F F2
+(dirs)4.065 E F0 1.565(when in)4.065 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
+(without options, starting with zero.)180 729.6 Q(GNU Bash-4.2)72 768 Q
 (2004 Apr 20)148.735 E(6)203.725 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
